org.jboss.classfilewriter.annotations

## Class ShortAnnotationValue

- java.lang.Object
- - org.jboss.classfilewriter.annotations.AnnotationValue
  - - org.jboss.classfilewriter.annotations.ShortAnnotationValue

All Implemented Interfaces:
  WritableEntry

    public class ShortAnnotationValue
    extends AnnotationValue

short annotation value

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ShortAnnotationValue(ConstPool constPool, String name, short value)`

### Method Summary

Methods
`char` `getTag()`
`short` `getValue()`
`void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.annotations.AnnotationValue

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShortAnnotationValue

    public ShortAnnotationValue(ConstPool constPool,
                        String name,
                        short value)

### Method Detail

#### getTag

    public char getTag()

Specified by:
  `getTag` in class `AnnotationValue`

#### writeData

    public void writeData(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `AnnotationValue`
Throws:
  `IOException`

#### getValue

    public short getValue()